Zoho crm Logo

获取通知详情

目的

获取用户启用的通知详细信息。

端点

  • GET /actions/watch

请求详情

请求 URL

{api-domain}crm/{version}/actions/watch
 

支持的模块

潜在客户,Account,联系人,交易,活动,任务,案例,会议,电话,解决方案,产品,Vendors,价格表,报价,Sales Orders,采购Orders,Invoices,预约,重新安排的预约历史,服务和自定义

标题

授权: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

范围

scope=ZohoCRM.notifications.{operation_type}

可能的操作类型

全部 - 完全访问记录
读取 - 获取通知详情

参数

  • page Integer, optional

    获取相应页面的记录列表。默认值为1。
    可能的值:整数值。例如:1(或)4(或)6

  • per_page Integer, optional

    获取每页可用的记录列表。默认值为200。
    可能的值:整数值。例如:200(或)400

  • channel_id Integer, mandatory

    指定通知渠道的唯一ID。
    可能的值:渠道ID。示例:1000000068001

  • module string, optional

    指定启用通知的模块的 API 名称。
    可能的值:模块 API 名称。例如:Leads

示例请求

Copiedcurl "https://www.zohoapis.com/crm/v6/actions/watch"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

注意

  • 使用 page 和 per_page 参数根据它们在 CRM 中的位置来获取记录。假设用户需要获取400条记录。一次API调用最多可以获取200条记录。因此,对于超过第200个位置的记录,无法获取。通过使用 page (1, 2, 3 和 4) 和 per_page (100) 参数,用户可以通过4次API调用获取所有400条记录。

示例响应

Copied{
    "watch": [
        {
            "notify_on_related_action": false,
            "channel_expiry": "2023-08-02T16:51:03-11:00",
            "return_affected_field_values": false,
            "resource_uri": "https://www.zohoapis.com/crm/v2/Leads",
            "resource_id": "554023000000000125",
            "notify_url": "https://webhook.site/2c9xxx0fa9",
            "resource_name": "Leads",
            "fields": null,
            "notification_condition": [
                {
                    "field_selection": {
                        "group_operator": "and",
                        "group": [
                            {
                                "field": {
                                    "api_name": "Last_Name",
                                    "id": "554023000000000559"
                                },
                                "group_operator": null,
                                "group": null
                            },
                            {
                                "field": {
                                    "api_name": "Full_Name",
                                    "id": "554023000000000597"
                                },
                                "group_operator": null,
                                "group": null
                            }
                        ]
                    },
                    "module": {
                        "api_name": "Leads",
                        "id": "554023000000000125"
                    },
                    "type": "field_selection"
                }
            ],
            "channel_id": "1000000068001",
            "events": [
                "Leads.edit",
                "Leads.create",
                "Leads.delete"
            ],
            "token": "xyz"
        },
        {
            "notify_on_related_action": false,
            "channel_expiry": "2023-08-11T02:12:33-11:00",
            "return_affected_field_values": false,
            "resource_uri": "https://www.zohoapis.com/crm/v2/Contacts",
            "resource_id": "554023000000000129",
            "notify_url": "https://webhook.site/2c9axx20fa9",
            "resource_name": "Contacts",
            "fields": null,
            "notification_condition": null,
            "channel_id": "10000",
            "events": [
                "Contacts.create"
            ],
            "token": "deals.all.notif"
        },
        {
            "notify_on_related_action": false,
            "channel_expiry": "2023-08-11T02:13:01-11:00",
            "return_affected_field_values": false,
            "resource_uri": "https://www.zohoapis.com/crm/v2/Deals",
            "resource_id": "554023000000000131",
            "notify_url": "https://webhook.site/2c9a0xx20fa9",
            "resource_name": "Deals",
            "fields": null,
            "notification_condition": [
                {
                    "field_selection": {
                        "group_operator": "or",
                        "group": [
                            {
                                "field": {
                                    "api_name": "Stage",
                                    "id": "554023000000000525"
                                },
                                "group_operator": null,
                                "group": null
                            },
                            {
                                "group_operator": "or",
                                "group": [
                                    {
                                        "field": {
                                            "api_name": "Account_Name",
                                            "id": "554023000000000523"
                                        },
                                        "group_operator": null,
                                        "group": null
                                    },
                                    {
                                        "field": {
                                            "api_name": "Lead_Source",
                                            "id": "554023000000000535"
                                        },
                                        "group_operator": null,
                                        "group": null
                                    }
                                ]
                            }
                        ]
                    },
                    "module": {
                        "api_name": "Deals",
                        "id": "554023000000000131"
                    },
                    "type": "field_selection"
                }
            ],
            "channel_id": "10000",
            "events": [
                "Deals.edit",
                "Deals.create",
                "Deals.delete"
            ],
            "token": "deals.all.notif"
        }
    ],
    "info": {
        "per_page": 200,
        "count": 3,
        "page": 1,
        "more_records": false
    }
}